petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDASetSizes

Sets the number of grid points in the three dimensional directions

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetSizes(DM da, PetscInt M, PetscInt N, PetscInt P)

Logically Collective on DMDA

### Input Parameters

| da | - the DMDA
| M | - the global X size
| N | - the global Y size
| P | - the global Z size

Developer Notes: Since the dimension may not yet have been set the code cannot error check for non-positive Y and Z number of grid points

### See Also

DMDAGetSize(), PetscSplitOwnership()

### Level

intermediate

### Location

src/dm/impls/da/da.c

### Examples

src/dm/examples/tutorials/ex19.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages